# 6502 Simulator Desktop Edition

One of the best systems to start learning Assembly is with the old but amazing 8-bit Commodore 64. 
Thanks to [Nick Morgan](https://twitter.com/skilldrick), creator of the [Easy 6502 and Easy 6502 tutorial with simulator](http://skilldrick.github.io/easy6502/), you can learn assembly very easily!

What would make it even easier is having your own Desktop 6502 Simulator to use. So to help make that happen
I went ahead and did exactly that. While I am not finished it is usable, and I plan to do whatever I can to 
make it a great desktop app in the near future.

![6502 Desktop Simulator](/assets/6502Desktop_SS.png "6502Desktop on OSX")


# Getting Started


## Binary Downloads

[OSX Build 0.3.7](https://github.com/3DEsprit/6502SimDesktop/releases/download/0.3.7/6502Desktop-OSX_0.3.7.zip)
[Windows Build 0.3.7](https://github.com/3DEsprit/6502SimDesktop/releases/download/0.3.7/6502Desktop-Win_0.3.7.zip)
[Linux Build 0.3.7](https://github.com/3DEsprit/6502SimDesktop/releases/download/0.3.7/6502Desktop-Linux_0.3.7.zip)


## Install Manually

_If there is not a build for your OS or if you would like to compile from source, you can install manually:_

First things first, clone the repository by downloading with the Green Download button above, or cloning on your system.

`git clone https://github.com/3DEsprit/6502SimDesktop.git`  

`yarn install` (or `npm install` without [Yarn](https://github.com/yarnpkg/yarn))  

`npm start`  

Have fun!


## ToDo List

* Finish Memory Monitor *In Progress*
* Add Menu/Hotkey Support for functions
* Update Register/Flag Viewing
* Addition of UI Animations
* Create Snazzy Icon (In process)
* Test on Linux
* Build Packages for Win/Linux Platforms
* ~~Reactive CSS with the window size~~
* Make the the sim integration more desktop-ish *In Progress*.
* Various Colored Themes
* Look at options to offer on Mac App Store, and Windows App Store
* Switch to Electron-Builder for Builds
* Change Linux Builds to AppImage

## License

The base simulator used in this app was created by [Nick Morgon](https://twitter.com/skilldrick), and you can find the original code in the [6502js Repo](https://github.com/skilldrick/6502js).

